<template>
  <div class="progressbar">
    <progress class="progress" :value="value" max="100" tooltip>test</progress>
  </div>
</template>

<script>
export default {
  data() {
    return {};
  },
  props: {
    percentage: {
      Type: Number,
    },
  },
  computed: {
    value() {
      if (this.percentage <= 1 && this.percentage >= 0) {
        return this.percentage * 100;
      } else if (this.percentage == null) {
        return 0;
      } else {
        return this.percentage.replace("%", "");
      }
    },
  },
  components: {},
  methods: {},
};
</script>

<style lang="scss">
.progressbar {
  width: 100%;
  progress {
    accent-color: yellow;
    color: white;
  }
  progress {
    color: #0063a6;
    font-size: 0.6rem;
    line-height: 1rem;
    text-indent: 0.5rem;
    width: 10rem;
    height: 0.6rem;
    border: 1px solid grey;
    border-radius: 1rem;
    background: #fff;
  }
  progress::-moz-progress-bar {
    background: #0063a6;
    border-radius: 1rem;
  }

  progress::-webkit-progress-value {
    background: yellow;
    border-radius: 1rem 0rem 0rem 1rem;
  }

  progress::-webkit-progress-bar {
    background: rgb(234, 233, 233);
    border-radius: 1rem;
  }
}
</style>
